#!/usr/bin/env python

import vContent
import StringIO

s = StringIO.StringIO("""PROP:p1=v1;p2
=v2;p21;p3=v3;"p4"="v4";"p5=v5
;p5=v5":"hello
world"
""")

r = vContent.Reader(s)

data = r.read_until(r.SEPARATORS)
print data
assert data == ("PROP", ":")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p1", "=")
data = r.read_until(r.SEPARATORS)
print data
assert data == ("v1", ";")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p2\n", "=")
data = r.read_until(r.SEPARATORS)
print data
assert data == ("v2", ";")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p21", ";")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ("p3", "=")
data = r.read_until(r.SEPARATORS)
print data
assert data == ("v3", ";")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ('"p4"', "=")
data = r.read_until(r.SEPARATORS)
print data
assert data == ('"v4"', ";")
data = r.read_until(r.SEPARATORS_PLUS_EQUALS)
print data
assert data == ('"p5=v5\n;p5=v5"', ":")

# vim: tabstop=4 expandtab shiftwidth=4
